summaryrefslogtreecommitdiffstats
path: root/office/MasterPDFEditor4
diff options
context:
space:
mode:
Diffstat (limited to 'office/MasterPDFEditor4')
-rw-r--r--office/MasterPDFEditor4/MasterPDFEditor4.SlackBuild85
-rw-r--r--office/MasterPDFEditor4/MasterPDFEditor4.info10
-rw-r--r--office/MasterPDFEditor4/README19
-rw-r--r--office/MasterPDFEditor4/doinst.sh3
-rw-r--r--office/MasterPDFEditor4/slack-desc19
5 files changed, 136 insertions, 0 deletions
diff --git a/office/MasterPDFEditor4/MasterPDFEditor4.SlackBuild b/office/MasterPDFEditor4/MasterPDFEditor4.SlackBuild
new file mode 100644
index 0000000000..7a26388bea
--- /dev/null
+++ b/office/MasterPDFEditor4/MasterPDFEditor4.SlackBuild
@@ -0,0 +1,85 @@
+#!/bin/bash
+
+# Slackware build script for MasterPDFEditor4
+
+# Originally written by Petar Petrov.
+# Modified and now maintained by B. Watson <urchlay@slackware.uk>.
+
+# Licensed under the WTFPL. See http://www.wtfpl.net/txt/copying/ for details.
+
+# 20240821 bkw: BUILD=3.
+# - new maintainer.
+# - relicense as WTFPL.
+# - use upstream's .desktop and directory name under /opt.
+# - extract directly to $PKG (no copying).
+# - fix spelling, grammar, punctuation in README, slack-desc.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=MasterPDFEditor4
+SRCNAM=master-pdf-editor
+VERSION=${VERSION:-4.3.89}
+BUILD=${BUILD:-3}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" != "x86_64" ]; then
+ printf "\n\n$ARCH is not supported... \n"
+ exit 1
+fi
+
+set -e
+
+# 20240822 bkw: no "build" or "source" dir, extract straight to $PKG.
+rm -rf $PKG
+mkdir -p $PKG/opt $OUTPUT
+cd $PKG/opt
+tar xvf $CWD/$SRCNAM-${VERSION}_qt5.amd64.tar.gz
+
+chown -R root:root .
+find -L . -perm /111 -a \! -perm 755 -a -exec chmod 755 {} + -o \
+ \! -perm /111 -a \! -perm 644 -a -exec chmod 644 {} +
+
+# 20240822 bkw: shipped binary is already stripped.
+
+EXE=${PRGNAM,,}
+DIR=${SRCNAM}-4
+mkdir -p $PKG/usr/share/applications
+mv $DIR/$EXE.desktop $PKG/usr/share/applications
+
+# 20240822 bkw: for us command-line junkies:
+mkdir -p $PKG/usr/bin
+ln -s ../../opt/$DIR/$EXE $PKG/usr/bin/$EXE
+
+# 20240822 bkw: not really needed, but do this for compatibility with
+# previous version of this build.
+ln -s ../../opt/$DIR/$EXE $PKG/usr/bin/$PRGNAM
+
+PKGDOC=$PKG/usr/doc/$PRGNAM-$VERSION
+mkdir -p $PKGDOC
+mv $DIR/license.txt $PKGDOC
+cat $CWD/$PRGNAM.SlackBuild > $PKGDOC/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/office/MasterPDFEditor4/MasterPDFEditor4.info b/office/MasterPDFEditor4/MasterPDFEditor4.info
new file mode 100644
index 0000000000..9e1dea8c0f
--- /dev/null
+++ b/office/MasterPDFEditor4/MasterPDFEditor4.info
@@ -0,0 +1,10 @@
+PRGNAM="MasterPDFEditor4"
+VERSION="4.3.89"
+HOMEPAGE="https://code-industry.net/free-pdf-editor/"
+DOWNLOAD="UNSUPPORTED"
+MD5SUM=""
+DOWNLOAD_x86_64="https://code-industry.net/public/master-pdf-editor-4.3.89_qt5.amd64.tar.gz"
+MD5SUM_x86_64="51a6f2963b79ebf0125faa9285f5456c"
+REQUIRES=""
+MAINTAINER="B. Watson"
+EMAIL="urchlay@slackware.uk"
diff --git a/office/MasterPDFEditor4/README b/office/MasterPDFEditor4/README
new file mode 100644
index 0000000000..4747952070
--- /dev/null
+++ b/office/MasterPDFEditor4/README
@@ -0,0 +1,19 @@
+MasterPDFEditor4 (PDF editor)
+
+Master PDF Editor allows you to create, edit, preview, encrypt, sign
+and print XPS and interactive PDF documents.
+
+Its powerful editing features allow you to convert between PDF and
+XPS formats; add interactive controls such as buttons, text fields,
+check boxes, and event handlers to your documents; split and merge
+PDF files.
+
+The Linux-based version is free for non-commercial use.
+
+This is version 4, which still saves without a watermark from the
+trial version.
+
+The first time you run MasterPDFEditor4, it will tell you a new
+version is available and offer to download it for you. You should
+answer No to this prompt; if you are looking for the latest version of
+the program, look for the "MasterPDFEditor" SlackBuild, instead.
diff --git a/office/MasterPDFEditor4/doinst.sh b/office/MasterPDFEditor4/doinst.sh
new file mode 100644
index 0000000000..5fb28930db
--- /dev/null
+++ b/office/MasterPDFEditor4/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/office/MasterPDFEditor4/slack-desc b/office/MasterPDFEditor4/slack-desc
new file mode 100644
index 0000000000..689ce5fdc4
--- /dev/null
+++ b/office/MasterPDFEditor4/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+MasterPDFEditor4: MasterPDFEditor4 (PDF editor)
+MasterPDFEditor4:
+MasterPDFEditor4: Master PDF Editor allows you to create, edit, preview, encrypt, sign
+MasterPDFEditor4: and print XPS and interactive PDF documents.
+MasterPDFEditor4:
+MasterPDFEditor4: Its powerful editing features allow you to convert between PDF and
+MasterPDFEditor4: XPS formats; add interactive controls such as buttons, text fields,
+MasterPDFEditor4: check boxes, and event handlers to your documents; split and merge
+MasterPDFEditor4: PDF files.
+MasterPDFEditor4:
+MasterPDFEditor4: Homepage: https://code-industry.net/free-pdf-editor/